Summary:	Kvazaar - open-source HEVC encoder
Summary(pl.UTF-8):	Kvazaar - koder HEVC o otwartych źródłach
Name:		kvazaar
Version:	0.8.2
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://github.com/ultravideo/kvazaar/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9c614d753dc055dcbb343546d3cd4048
Patch0:		x32.patch
URL:		https://github.com/ultravideo/kvazaar
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.11
BuildRequires:	libtool >= 2:2
%ifarch %{ix86} %{x8664} x32
BuildRequires:	yasm
%endif
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kvazaar is an open-source HEVC encoder licensed under LGPL v2.1.

%description -l pl.UTF-8
Kvazaar to mający otwarte źródła koder HEVC, wydany na licencji LGPL
v2.1.

%package libs
Summary:	Kvazaar library
Group:		Libraries
Conflicts:	kvazaar < 0.8.2-3

%description libs
Kvazaar library.

%package devel
Summary:	Header files for Kvazaar library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Kvazaar
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for Kvazaar library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Kvazaar.

%package static
Summary:	Static Kvazaar library
Summary(pl.UTF-8):	Statyczna biblioteka Kvazaar
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Kvazaar library.

%description static -l pl.UTF-8
Statyczna biblioteka Kvazaar.

%prep
%setup -q
%ifarch x32
%patch0 -p1
%endif

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libkvazaar.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/kvazaar

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING CREDITS README.md doc/syntax_elements.txt
%attr(755,root,root) %{_bindir}/kvazaar

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkvazaar.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkvazaar.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkvazaar.so
%{_includedir}/kvazaar.h
%{_includedir}/kvazaar_version.h
%{_pkgconfigdir}/kvazaar.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libkvazaar.a
%changelog
* Sun Apr 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kvazaar.git;a=log;h=master

* Sun Apr 17 2016 Elan Ruusamäe <glen@delfi.ee> 90917ce
- split libs for multilib support

* Tue Mar 15 2016 Jan Rękorajski <baggins@pld-linux.org> 0711436
- fix building on x32
- rel 2

* Sun Feb 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 4517a09
- check-files cleanup, ac/am/lt versions

* Wed Feb 17 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0729458
- up to 0.8.2

* Thu Oct 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 614d460
- non-parallel install

* Thu Oct 15 2015 Jakub Bogusz <qboosh@pld-linux.org> c8a8bc4
- use ARCH_X86_64=1 on x32; builds now

* Wed Oct 14 2015 Jakub Bogusz <qboosh@pld-linux.org> ca06549
- new

